package com.zhyc.module.work.service;

import java.util.List;
import com.zhyc.module.work.domain.WorkOrder;

/**
 * 派工单Service接口
 * 
 * @author piaobo
 * @date 2025-12-07
 */
public interface IWorkOrderService 
{
    /**
     * 查询派工单
     * 
     * @param id 派工单主键
     * @return 派工单
     */
    public WorkOrder selectWorkOrderById(Long id);

    /**
     * 查询派工单列表
     * 
     * @param workOrder 派工单
     * @return 派工单集合
     */
    public List<WorkOrder> selectWorkOrderList(WorkOrder workOrder);

    /**
     * 新增派工单
     * 
     * @param workOrder 派工单
     * @return 结果
     */
    public int insertWorkOrder(WorkOrder workOrder);

    /**
     * 修改派工单
     * 
     * @param workOrder 派工单
     * @return 结果
     */
    public int updateWorkOrder(WorkOrder workOrder);

    /**
     * 批量删除派工单
     * 
     * @param ids 需要删除的派工单主键集合
     * @return 结果
     */
    public int deleteWorkOrderByIds(Long[] ids);

    /**
     * 删除派工单信息
     * 
     * @param id 派工单主键
     * @return 结果
     */
    public int deleteWorkOrderById(Long id);
}
